Bug 232444 - 500 Error ISE on cloning a channel
500 Error ISE on cloning a channel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin A. Smith
Steve Salevan
https://rlx-3-10.rhndev.redhat.com/ne...
:
: 232669 236079 236740 (view as bug list)
Depends On:
Blocks: 203508 232320
  Show dependency treegraph
 
Reported: 2007-03-15 11:41 EDT by Preethi Thomas
Modified: 2007-07-19 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 22:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cloning channel error (157.82 KB, image/png)
2007-03-15 11:41 EDT, Preethi Thomas
no flags Details

  None (edit)
Comment 1 Preethi Thomas 2007-03-15 11:41:24 EDT
Created attachment 150132 [details]
Cloning channel error
Comment 2 Mike McCune 2007-04-12 10:41:27 EDT
*** Bug 236079 has been marked as a duplicate of this bug. ***
Comment 3 Mike McCune 2007-04-12 15:50:19 EDT
I was able to actually clone RHEL4 AS channel with the above steps.  

I did eventually run into 232669.

Moving to ON_QA for a re-test.
Comment 4 Preethi Thomas 2007-04-13 11:32:17 EDT
It still happens If you select the current state of channel (all errata) option.
Original state of the channel (no errata) option works and
Select errata option ISE while selecting the errata cloning.
https://fjs-0-13.rhndev.redhat.com/network/software/channels/manage/errata/clone_confirm.pxt

in the log 
/var/log/httpd/error_log
[Fri Apr 13 11:23:32 2007] [error] Execution of
/var/www/html/network/software/channels/manage/edit.pxt failed at Fri Apr 13
11:23:32 2007: RHN::Exception: DBD::Oracle::st execute failed: ORA-00904:
"E"."SEVERITY_ID": invalid identifier (DBD ERROR: error possibly near <*>
indicator at char 260 in 'INSERT INTO rhnErrataTmp E! (E.ID, E.ADVISORY,
E.ADVISORY_TYPE, E.PRODUCT, E.DESCRIPTION, E.SYNOPSIS, E.TOPIC, E.SOLUTION,
E.ISSUE_DATE, E.REFERS_TO, E.CREATED, E.MODIFIED, E.UPDATE_DATE, E.NOTES,
E.ORG_ID, E.ADVISORY_NAME, E.ADVISORY_REL, E.LOCALLY_MODIFIED, <*>E.SEVERITY_ID,
E.LAST_MODIFIED) VALUES (:p1, :p2, :p3, :p4, :p5, :p6, :p7, :p8, TO_DATE(:p9,
'YYYY-MM-DD'), :p10, TO_DATE(:p11, 'YYYY-MM-DD'), TO_DATE(:p12, 'YYYY-MM-DD
HH24:MI:SS'), TO_DATE(:p13, 'YYYY-MM-DD'), :p14, :p15, :p16, :p17, :p18, :p19,
TO_DATE(:p20, 'YYYY-MM-DD HH24:MI:SS'))') [for Statement "INSERT INTO
rhnErrataTmp E! (E.ID, E.ADVISORY, E.ADVISORY_TYPE, E.PRODUCT, E.DESCRIPTION,
E.SYNOPSIS, E.TOPIC, E.SOLUTION, E.ISSUE_DATE, E.REFERS_TO, E.CREATED,
E.MODIFIED, E.UPDATE_DATE, E.NOTES, E.ORG_ID, E.ADVISORY_NAME, E.ADVISORY_REL,
E.LOCALLY_MODIFIED, E.SEVERITY_ID, E.LAST_MODIFIED) VALUES (?, ?, ?, ?, ?, ?, ?,
?, TO_DATE(?, 'YYYY-MM-DD'), ?, TO_DATE(?, 'YYYY-MM-DD'), TO_DATE(?, 'YYYY-MM-DD
HH24:MI:SS'), TO_DATE(?, 'YYYY-MM-DD'), ?, ?, ?, ?, ?, ?, TO_DATE(?, 'YYYY-MM-DD
HH24:MI:SS'))" with ParamValues: :p5="Exim is a mail transport agent (MTA)
developed at the University of!Cambridge for use on Unix systems connected to
the Internet. !!A buffer overflow was discovered in the spa_base64_to_bits
function in!Exim, as originally obtained from Samba code.  If SPA authentication
is!enabled, a remote attacker may be able to exploit this vulnerability
to!execute arbitrary code as the 'exim' user.  The C...", :p20="2005-02-15
03:27:23", :p12="2007-04-10 19:39:01", :p8="Before applying this update, make
sure that all previously-released!errata relevant to your system have been
applied.  Use Red Hat!Network to download and update your packages.  To launch
the Red Hat!Update Agent, use the following command:!!    up2date!!For
information on how to install packages manually, refer to the!following Web page
for the System Administration or Customization!guide sp...", :p14=undef,
:p15="1", :p19=-1, :p4="Red Hat Enterprise Linux", :p18=undef,
:p10="http://www.exim.org/mail-archives/exim-users/Week-of-Mon-20050103/msg00028.html",
:p13="2005-02-15", :p2="CLSA-2005:025-08", :p16="CLSA-2005:025", :p6="Moderate:
exim security update", :p3="Security Advisory", :p7="Updated exim packages that
resolve security issues are now available for Red!Hat Enterprise Linux 4.!!This
update has been rated as having moderate security impact by the Red Hat!Security
Response Team.", :p1="733", :p17="8", :p9="2005-02-15", :p11="2007-04-10"]! 
RHN::DB /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 226 RHN::Exception::DB::throw!
 RHN::DB::Errata /usr/lib/perl5/site_perl/5.8.5/RHN/DB/Errata.pm 1015
RHN::DB::handle_error!  RHN::DB::ErrataEditor
/usr/lib/perl5/site_perl/5.8.5/RHN/DB/ErrataEditor.pm 337
RHN::DB::Errata::commit!  RHN::DB::ChannelEditor
/usr/lib/perl5/site_perl/5.8.5/RHN/DB/ChannelEditor.pm 418
RHN::DB::ErrataEditor::clone_into_org!  RHN::DB::ChannelEditor
/usr/lib/perl5/site_perl/5.8.5/RHN/DB/ChannelEditor.pm 361
RHN::DB::ChannelEditor::clone_errata_into_channel!  Sniglets::ChannelEditor
/usr/lib/perl5/site_perl/5.8.5/Sniglets/ChannelEditor.pm 295
RHN::DB::ChannelEditor::clone_all_errata!  Sniglets::ChannelEditor
/usr/lib/perl5/site_perl/5.8.5/Sniglets/ChannelEditor.pm 265 (eval)! 
PXT::ApacheHandler /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 620
Sniglets::ChannelEditor::channel_edit_cb!  PXT::Request
/usr/lib/perl5/site_perl/5.8.5/PXT/Request.pm 708
PXT::ApacheHandler::pxt_parse_data!  PXT::Handlers
/usr/lib/perl5/site_perl/5.8.5/PXT/Handlers.pm 101 PXT::Request::include! 
PXT::Parser /usr/lib/perl5/site_perl/5.8.5/PXT/Parser.pm 141
PXT::Handlers::pxt_include_handler!  PXT::Parser
/usr/lib/perl5/site_perl/5.8.5/PXT/Parser.pm 72 PXT::Parser::expand_tag! 
PXT::ApacheHandler /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 516
PXT::Parser::expand_tags!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 110
PXT::ApacheHandler::pxt_parse_data!  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 110 (eval)!  main /dev/null
0 PXT::ApacheHandler::handler!  main /dev/null 0 (eval)
[Fri Apr 13 11:23:33 2007] [error] Traceback sent to whayutin@redhat.com at
/usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm line 725.
Comment 5 Kevin A. Smith 2007-04-25 16:15:58 EDT
*** Bug 236740 has been marked as a duplicate of this bug. ***
Comment 6 Kevin A. Smith 2007-04-25 16:16:57 EDT
*** Bug 232669 has been marked as a duplicate of this bug. ***
Comment 7 Kevin A. Smith 2007-04-25 16:20:53 EDT
Wow. This is quite a nasty one. The cause of the problem is twofold:

1) The errata severity work done in 415 for hosted has a nasty interaction with
errata and channel cloning on a satellite. This causes errors which prevents
things such as channel cloning w/errata and errata cloning from working.

2) Once I removed the code for #1 I ran into the second problem -- RHN is
referencing tables which have not existed for a very long time.
rhnErrataRelationship and rhnErrataRelationshipTmp are the offending tables.

Removing the code for #1 and #2 appears to get things to work as expected. We'll
need to tackle errata severity for satellite in a later release.

svn revision: 115452 
Comment 8 Kevin A. Smith 2007-04-27 09:19:00 EDT
See originating comment for test plan.
Comment 9 Steve Salevan 2007-06-18 17:40:48 EDT
No ISE is received when I clone a channel in as many different ways as I can
think.  Thus, it looks like this is working order now, so I'm moving this over
to RELEASE_PENDING.
Comment 10 Brandon Perkins 2007-06-25 22:33:22 EDT
Closed for Satellite 500 Release.

Note You need to log in before you can comment on or make changes to this bug.